<button 
  mat-raised-button 
  color="primary" 
  class="btn" 
  [class.btn-loading]="loading" 
  [ngClass]="classes" 
  [type]="type" 
  [disabled]="loading || disabled">
  <span>{{text}}<ng-content></ng-content></span>
  <div class="spinner" [hidden]="!loading">
    <div [class]="'bounce1 ' + indicatorClasses"></div>
    <div [class]="'bounce2 ' + indicatorClasses"></div>
    <div [class]="'bounce3 ' + indicatorClasses"></div>
  </div>
</button>